GetCorner method example
Sub GetCorner_Example()
Dim otherCorner As Variant
Dim basePCorner(0 To 2) As Double
basePCorner(0) = 2#: basePCorner(1) = 2#: basePCorner(2) = 0#
otherCorner = ThisDrawing.Utility.GetCorner(basePCorner, "Enter Other corner: ")
Dim nDec As Integer: nDec = ThisDrawing.GetVariable("LUPREC")
Dim sBuf As String
sBuf = "The point for other corner was picked at:" & vbCrLf
sBuf = sBuf & Math.Round(otherCorner(0), nDec) & ", "
sBuf = sBuf & Math.Round(otherCorner(1), nDec) & ", "
sBuf = sBuf & Math.Round(otherCorner(2), nDec)
MsgBox sBuf, , "GetCorner Example"
End Sub
© Bricsys NV. All rights reserved. |